Name:           perl-Getopt-Lucid
Version:        1.08
Release:        1%{?dist}
Summary:        Clear, readable syntax for command line processing
License:        ASL 2.0
URL:            http://search.cpan.org/dist/Getopt-Lucid/
Source0:        http://www.cpan.org/authors/id/D/DA/DAGOLDEN/Getopt-Lucid-%{version}.tar.gz
# Do not use /usr/bin/env in example's shellbang
Patch0:         Getopt-Lucid-1.08-Remove-shellbang-from-examples.patch
BuildArch:      noarch
BuildRequires:  coreutils
BuildRequires:  make
BuildRequires:  perl
BuildRequires:  perl-generators
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time:
BuildRequires:  perl(Carp)
BuildRequires:  perl(Exception::Class) >= 1.23
BuildRequires:  perl(Exception::Class::Base)
BuildRequires:  perl(Exporter)
BuildRequires:  perl(Storable) >= 2.16
# Tests:
# CPAN::Meta not useful
# CPAN::Meta::Prereqs not useful
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Exception::Class::TryCatch) >= 1.10
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(lib)
BuildRequires:  perl(Test::More) >= 0.62
BuildRequires:  perl(vars)
Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Exception::Class::Base)

%{?perl_default_filter}

%description
The goal of this module is providing good code readability and clarity of
intent for command-line option processing. While readability is a subjective
standard, Getopt::Lucid relies on a more verbose, plain-English option
specification as compared against the more symbolic approach of Getopt::Long.

%prep
%setup -q -n Getopt-Lucid-%{version}
%patch0 -p1
chmod -x examples/cpanget

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%license LICENSE
%doc Changes CONTRIBUTING.mkdn examples README Todo
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Apr 18 2017 Petr Pisar <ppisar@redhat.com> - 1.08-1
- 1.08 bump

* Fri Sep 02 2016 Petr Pisar <ppisar@redhat.com> - 1.07-1
- 1.07 bump

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.06-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jan 12 2016 Petr Pisar <ppisar@redhat.com> - 1.06-1
- 1.06 bump

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 06 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.05-6
- Perl 5.22 rebuild

* Thu Aug 28 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.05-5
- Perl 5.20 rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.05-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jul 21 2013 Petr Pisar <ppisar@redhat.com> - 1.05-2
- Perl 5.18 rebuild

* Tue Apr 16 2013 Petr Pisar <ppisar@redhat.com> 1.05-1
- Specfile autogenerated by cpanspec 1.78.
